Loading...
Searching...
No Matches
DRTIonToleranceTableSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonToleranceTableSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamLimitingDeviceAngleTolerance (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngleTolerance (300a,0046)
OFCondition | getBeamLimitingDeviceAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngleTolerance (300a,0046)
OFCondition | getChairHeadFramePositionTolerance (OFString &value, const signed long pos=0) const
| get ChairHeadFramePositionTolerance (300a,0153)
OFCondition | getChairHeadFramePositionTolerance (Float64 &value, const unsigned long pos=0) const
| get ChairHeadFramePositionTolerance (300a,0153)
OFCondition | getFixationLightAzimuthalAngleTolerance (OFString &value, const signed long pos=0) const
| get FixationLightAzimuthalAngleTolerance (300a,0154)
OFCondition | getFixationLightAzimuthalAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get FixationLightAzimuthalAngleTolerance (300a,0154)
OFCondition | getFixationLightPolarAngleTolerance (OFString &value, const signed long pos=0) const
| get FixationLightPolarAngleTolerance (300a,0155)
OFCondition | getFixationLightPolarAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get FixationLightPolarAngleTolerance (300a,0155)
OFCondition | getGantryAngleTolerance (OFString &value, const signed long pos=0) const
| get GantryAngleTolerance (300a,0044)
OFCondition | getGantryAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get GantryAngleTolerance (300a,0044)
OFCondition | getHeadFixationAngleTolerance (OFString &value, const signed long pos=0) const
| get HeadFixationAngleTolerance (300a,0152)
OFCondition | getHeadFixationAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get HeadFixationAngleTolerance (300a,0152)
OFCondition | getPatientSupportAngleTolerance (OFString &value, const signed long pos=0) const
| get PatientSupportAngleTolerance (300a,004c)
OFCondition | getPatientSupportAngleTolerance (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngleTolerance (300a,004c)
OFCondition | getSnoutPositionTolerance (Float32 &value, const unsigned long pos=0) const
| get SnoutPositionTolerance (300a,004b)
OFCondition | getTableTopLateralPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopLateralPositionTolerance (300a,0053)
OFCondition | getTableTopLateralPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPositionTolerance (300a,0053)
OFCondition | getTableTopLongitudinalPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPositionTolerance (300a,0052)
OFCondition | getTableTopLongitudinalPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPositionTolerance (300a,0052)
OFCondition | getTableTopPitchAngleTolerance (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngleTolerance (300a,004f)
OFCondition | getTableTopRollAngleTolerance (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngleTolerance (300a,0050)
OFCondition | getTableTopVerticalPositionTolerance (OFString &value, const signed long pos=0) const
| get TableTopVerticalPositionTolerance (300a,0051)
OFCondition | getTableTopVerticalPositionTolerance (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPositionTolerance (300a,0051)
OFCondition | getToleranceTableLabel (OFString &value, const signed long pos=0) const
| get ToleranceTableLabel (300a,0043)
OFCondition | getToleranceTableNumber (OFString &value, const signed long pos=0) const
| get ToleranceTableNumber (300a,0042)
OFCondition | getToleranceTableNumber (Sint32 &value, const unsigned long pos=0) const
| get ToleranceTableNumber (300a,0042)
DRTBeamLimitingDeviceToleranceSequence & | getBeamLimitingDeviceToleranceSequence ()
| get BeamLimitingDeviceToleranceSequence (300a,0048)
const DRTBeamLimitingDeviceToleranceSequence & | getBeamLimitingDeviceToleranceSequence () const
| get BeamLimitingDeviceToleranceSequence (300a,0048)
OFCondition | setBeamLimitingDeviceAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngleTolerance (300a,0046)
OFCondition | setChairHeadFramePositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set ChairHeadFramePositionTolerance (300a,0153)
OFCondition | setFixationLightAzimuthalAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set FixationLightAzimuthalAngleTolerance (300a,0154)
OFCondition | setFixationLightPolarAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set FixationLightPolarAngleTolerance (300a,0155)
OFCondition | setGantryAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set GantryAngleTolerance (300a,0044)
OFCondition | setHeadFixationAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set HeadFixationAngleTolerance (300a,0152)
OFCondition | setPatientSupportAngleTolerance (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngleTolerance (300a,004c)
OFCondition | setSnoutPositionTolerance (const Float32 value, const unsigned long pos=0)
| set SnoutPositionTolerance (300a,004b)
OFCondition | setTableTopLateralPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPositionTolerance (300a,0053)
OFCondition | setTableTopLongitudinalPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPositionTolerance (300a,0052)
OFCondition | setTableTopPitchAngleTolerance (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngleTolerance (300a,004f)
OFCondition | setTableTopRollAngleTolerance (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngleTolerance (300a,0050)
OFCondition | setTableTopVerticalPositionTolerance (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPositionTolerance (300a,0051)
OFCondition | setToleranceTableLabel (const OFString &value, const OFBool check=OFTrue)
| set ToleranceTableLabel (300a,0043)
OFCondition | setToleranceTableNumber (const OFString &value, const OFBool check=OFTrue)
| set ToleranceTableNumber (300a,0042)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BeamLimitingDeviceAngleTolerance
| BeamLimitingDeviceAngleTolerance (300a,0046) vr=DS, vm=1, type=3.
DRTBeamLimitingDeviceToleranceSequence | BeamLimitingDeviceToleranceSequence
| BeamLimitingDeviceToleranceSequence (300a,0048) vr=SQ, vm=1, type=3.
DcmDecimalString | ChairHeadFramePositionTolerance
| ChairHeadFramePositionTolerance (300a,0153) vr=DS, vm=1, type=3.
DcmDecimalString | FixationLightAzimuthalAngleTolerance
| FixationLightAzimuthalAngleTolerance (300a,0154) vr=DS, vm=1, type=3.
DcmDecimalString | FixationLightPolarAngleTolerance
| FixationLightPolarAngleTolerance (300a,0155) vr=DS, vm=1, type=3.
DcmDecimalString | GantryAngleTolerance
| GantryAngleTolerance (300a,0044) vr=DS, vm=1, type=3.
DcmDecimalString | HeadFixationAngleTolerance
| HeadFixationAngleTolerance (300a,0152) vr=DS, vm=1, type=3.
DcmDecimalString | PatientSupportAngleTolerance
| PatientSupportAngleTolerance (300a,004c) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | SnoutPositionTolerance
| SnoutPositionTolerance (300a,004b) vr=FL, vm=1, type=3.
DcmDecimalString | TableTopLateralPositionTolerance
| TableTopLateralPositionTolerance (300a,0053) vr=DS, vm=1, type=3.
DcmDecimalString | TableTopLongitudinalPositionTolerance
| TableTopLongitudinalPositionTolerance (300a,0052) vr=DS, vm=1, type=3.
DcmFloatingPointSingle | TableTopPitchAngleTolerance
| TableTopPitchAngleTolerance (300a,004f) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | TableTopRollAngleTolerance
| TableTopRollAngleTolerance (300a,0050) vr=FL, vm=1, type=3.
DcmDecimalString | TableTopVerticalPositionTolerance
| TableTopVerticalPositionTolerance (300a,0051) vr=DS, vm=1, type=3.
DcmShortString | ToleranceTableLabel
| ToleranceTableLabel (300a,0043) vr=SH, vm=1, type=3.
DcmIntegerString | ToleranceTableNumber
| ToleranceTableNumber (300a,0042) vr=IS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTIonToleranceTableSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTIonToleranceTableSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getBeamLimitingDeviceAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getBeamLimitingDeviceAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamLimitingDeviceAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getBeamLimitingDeviceAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamLimitingDeviceToleranceSequence() [1/2]

DRTBeamLimitingDeviceToleranceSequence & DRTIonToleranceTableSequence::Item::getBeamLimitingDeviceToleranceSequence | ( |  | ) |

inline

get BeamLimitingDeviceToleranceSequence (300a,0048)

Returns
  reference to sequence element

References BeamLimitingDeviceToleranceSequence.

## getBeamLimitingDeviceToleranceSequence() [2/2]

const DRTBeamLimitingDeviceToleranceSequence & DRTIonToleranceTableSequence::Item::getBeamLimitingDeviceToleranceSequence | ( |  | ) | const

inline

get BeamLimitingDeviceToleranceSequence (300a,0048)

Returns
  const reference to sequence element

References BeamLimitingDeviceToleranceSequence.

## getChairHeadFramePositionTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getChairHeadFramePositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ChairHeadFramePositionTolerance (300a,0153)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getChairHeadFramePositionTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getChairHeadFramePositionTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ChairHeadFramePositionTolerance (300a,0153)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightAzimuthalAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getFixationLightAzimuthalAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get FixationLightAzimuthalAngleTolerance (300a,0154)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightAzimuthalAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getFixationLightAzimuthalAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FixationLightAzimuthalAngleTolerance (300a,0154)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightPolarAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getFixationLightPolarAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get FixationLightPolarAngleTolerance (300a,0155)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightPolarAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getFixationLightPolarAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FixationLightPolarAngleTolerance (300a,0155)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getGantryAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get GantryAngleTolerance (300a,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getGantryAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryAngleTolerance (300a,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getHeadFixationAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getHeadFixationAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get HeadFixationAngleTolerance (300a,0152)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getHeadFixationAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getHeadFixationAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get HeadFixationAngleTolerance (300a,0152)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportAngleTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getPatientSupportAngleTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get PatientSupportAngleTolerance (300a,004c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportAngleTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getPatientSupportAngleTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportAngleTolerance (300a,004c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSnoutPositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::getSnoutPositionTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get SnoutPositionTolerance (300a,004b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLateralPositionTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopLateralPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLateralPositionTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopLateralPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLongitudinalPositionTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopLongitudinalPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLongitudinalPositionTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopLongitudinalPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopPitchAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::getTableTopPitchAngleTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopPitchAngleTolerance (300a,004f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopRollAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::getTableTopRollAngleTolerance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopRollAngleTolerance (300a,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopVerticalPositionTolerance() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopVerticalPositionTolerance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopVerticalPositionTolerance() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getTableTopVerticalPositionTolerance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getToleranceTableLabel()

OFCondition DRTIonToleranceTableSequence::Item::getToleranceTableLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ToleranceTableLabel (300a,0043)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getToleranceTableNumber() [1/2]

OFCondition DRTIonToleranceTableSequence::Item::getToleranceTableNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ToleranceTableNumber (300a,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getToleranceTableNumber() [2/2]

OFCondition DRTIonToleranceTableSequence::Item::getToleranceTableNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ToleranceTableNumber (300a,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTIonToleranceTableSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTIonToleranceTableSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTIonToleranceTableSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTIonToleranceTableSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamLimitingDeviceAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setBeamLimitingDeviceAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamLimitingDeviceAngleTolerance (300a,0046)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setChairHeadFramePositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setChairHeadFramePositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ChairHeadFramePositionTolerance (300a,0153)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFixationLightAzimuthalAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setFixationLightAzimuthalAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FixationLightAzimuthalAngleTolerance (300a,0154)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFixationLightPolarAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setFixationLightPolarAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FixationLightPolarAngleTolerance (300a,0155)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setGantryAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryAngleTolerance (300a,0044)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setHeadFixationAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setHeadFixationAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set HeadFixationAngleTolerance (300a,0152)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setPatientSupportAngleTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportAngleTolerance (300a,004c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSnoutPositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setSnoutPositionTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set SnoutPositionTolerance (300a,004b)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopLateralPositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setTableTopLateralPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLateralPositionTolerance (300a,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopLongitudinalPositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setTableTopLongitudinalPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLongitudinalPositionTolerance (300a,0052)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopPitchAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setTableTopPitchAngleTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopPitchAngleTolerance (300a,004f)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopRollAngleTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setTableTopRollAngleTolerance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopRollAngleTolerance (300a,0050)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopVerticalPositionTolerance()

OFCondition DRTIonToleranceTableSequence::Item::setTableTopVerticalPositionTolerance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopVerticalPositionTolerance (300a,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setToleranceTableLabel()

OFCondition DRTIonToleranceTableSequence::Item::setToleranceTableLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ToleranceTableLabel (300a,0043)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setToleranceTableNumber()

OFCondition DRTIonToleranceTableSequence::Item::setToleranceTableNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ToleranceTableNumber (300a,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTIonToleranceTableSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtitts.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0